com.holonplatform.json.internal

## Class AppendableWriterAdapter

- java.lang.Object
- - java.io.Writer
  - - com.holonplatform.json.internal.AppendableWriterAdapter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class AppendableWriterAdapter
      extends Writer

  Adapter to use an `Appendable` as a `Writer`.
  Since:
    5.1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppendableWriterAdapter(Appendable appendable)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(char[] cbuf, int off, int len)`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppendableWriterAdapter

          public AppendableWriterAdapter(Appendable appendable)

      Constructor
      Parameters:
        `appendable` - Wrapped `Appendable` (not null)

  - ### Method Detail

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws IOException

      Specified by:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `Writer`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Writer`
      Throws:
        `IOException`

Copyright © 2019 The Holon Platform. All rights reserved.